Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.template.mapper
Class LayoutTemplateMapper

    java.lang.Object
      org.apache.turbine.services.template.mapper.BaseMapper
          org.apache.turbine.services.template.mapper.BaseTemplateMapper
              org.apache.turbine.services.template.mapper.LayoutTemplateMapper

All Implemented Interfaces:
  Mapper

    public class LayoutTemplateMapper

extends BaseTemplateMapper
implements Mapper

This mapper is responsible for the lookup of templates for the Layout It tries to look in various packages for a match: 1. about,directions,Driving.vm <- exact match 2. about,directions,Default.vm <- package match, Default name 3. about,Default.vm <- stepping up in the hierarchy 4. Default.vm <- The name configured as default.layout.template in the corresponding Templating Engine

Version:
  $Id: LayoutTemplateMapper.java 1071091 2011-02-15 22:06:55Z tv $
Author:
  Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.services.template.mapper.BaseTemplateMapper
`prefix`

Fields inherited from class org.apache.turbine.services.template.mapper.BaseMapper
`defaultProperty, separator`

Constructor Summary
`LayoutTemplateMapper()` Default C'tor.

Method Summary
`String` | `doMapping(String template)` Look for a given Template, then try the defaults until we hit the root.

Methods inherited from class org.apache.turbine.services.template.mapper.BaseTemplateMapper
`getDefaultName, getPrefix, setPrefix`

Methods inherited from class org.apache.turbine.services.template.mapper.BaseMapper
`getCacheSize, getDefaultProperty, getMappedName, getSeparator, init, isUseCache, setCacheSize, setDefaultProperty, setSeparator, setUseCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.turbine.services.template.mapper.Mapper
`getCacheSize, getDefaultName, getDefaultProperty, getMappedName, getSeparator, init, isUseCache, setCacheSize, setDefaultProperty, setSeparator, setUseCache`

Constructor Detail

### LayoutTemplateMapper

    public LayoutTemplateMapper()

  Default C'tor. If you use this C'tor, you must use the bean setter to set the various properties needed for this mapper before first usage.

Method Detail

### doMapping

    public String doMapping(String template)

  Look for a given Template, then try the defaults until we hit the root.

  Specified by:
    `doMapping` in class `BaseMapper`
  Parameters:
    `template` - The template name.
  Returns:
    The parsed module name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.